# $NetBSD: buildlink3.mk,v 1.7 2024/08/25 06:18:56 wiz Exp $

BUILDLINK_TREE+=	lua52

.if !defined(LUA52_BUILDLINK3_MK)
LUA52_BUILDLINK3_MK:=

BUILDLINK_API_DEPENDS.lua52+=	lua52>=5.2.0<5.3
BUILDLINK_PKGSRCDIR.lua52?=	../../lang/lua52

.if defined(BUILDLINK_DEPMETHOD.lua)
BUILDLINK_DEPMETHOD.lua52?=	${BUILDLINK_DEPMETHOD.lua}
.endif

# -llua -> -llua5.2
BUILDLINK_TRANSFORM+=		l:lua:lua5.2
BUILDLINK_INCDIRS.lua52+=	include/lua-5.2

.if defined(USE_CMAKE) || defined(BUILD_USES_CMAKE)
# used by FindLua.cmake
CMAKE_CONFIGURE_ARGS+=	-DLua_FIND_VERSION_EXACT=ON
CMAKE_CONFIGURE_ARGS+=	-DLua_FIND_VERSION_COUNT=2
CMAKE_CONFIGURE_ARGS+=	-DLua_FIND_VERSION_MAJOR=5
CMAKE_CONFIGURE_ARGS+=	-DLua_FIND_VERSION_MINOR=2
.endif

.include "../../mk/readline.buildlink3.mk"
.endif # LUA52_BUILDLINK3_MK

BUILDLINK_TREE+=	-lua52
